package middleware

import "github.com/gin-gonic/gin"

func ShareEmailHandler() gin.HandlerFunc {
	return func(c *gin.Context) {
		shareId := c.Request.Header.Get("shareEmailId")
		if shareId != "" {
			c.Set("shareEmailId", shareId)
		}
		c.Next()
	}
}
