package en_classify_permission

import (
	"hongze/hongze_yb_en_api/global"
	"time"
)

type EnClassifyPermission struct {
	EnClassifyPermissionNameId int       `gorm:"primaryKey;column:en_classify_permission_id" json:"en_classify_permission_id"`
	EnClassifyId               int       `gorm:"column:en_classify_id" json:"en_classify_id"`
	EnPermissionId             int       `gorm:"column:en_permission_id" json:"en_permission_id"`
	CreateTime                 time.Time `gorm:"autoCreateTime;column:create_time" json:"create_time"` //创建时间
}

func (c *EnClassifyPermission) TableName() string {
	return "en_classify_permission"
}

func (c *EnClassifyPermission) GetList(condition string, pars []interface{}) (list []*EnClassifyPermission, err error) {
	err = global.DEFAULT_MYSQL.Model(c).Where(condition, pars).Order("create_time DESC").Scan(&list).Error
	return
}
